# Get a list of tokens. `GET` `https://api.unusualwhales.com/api/crypto/list_tokens` Returns a list of tokens meeting specified filter criteria. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `min_liquidity` | CryptoApiNumberArg | No | | | `max_liquidity` | CryptoApiNumberArg | No | | | `min_total_supply` | CryptoApiNumberArg | No | | | `max_total_supply` | CryptoApiNumberArg | No | | | `min_circulating_supply` | CryptoApiNumberArg | No | | | `max_circulating_supply` | CryptoApiNumberArg | No | | | `min_market_cap` | CryptoApiNumberArg | No | | | `max_market_cap` | CryptoApiNumberArg | No | | | `min_holders` | CryptoApiNumberArg | No | | | `max_holders` | CryptoApiNumberArg | No | | | `limit` | Default 100, Max 1000 Min 1 | No | How many items to return. Default: 100. Max: 1000. Min: 1. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `data` | array[Crypto API Token Metadata] | | | `next_token` | string | | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/crypto/list_tokens" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/crypto/list_tokens", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "address": "So11111111111111111111111111111111111111112", "circulating_supply": "94321.00", "decimals": 9, "fdv": "94321.00", "holder": 93210 } ], "next_token": "QEREAFDFEEE=" } ```